Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/6881/?format=api
{ "ob_id": 6881, "uuid": "a74b3ef5935a134c613e7d4a51b0c70d", "title": "CCMVal-1: DLR Oberpfaffen-hofen E39/C model output contribution to the WMO 2006 SCN2 experiment", "abstract": "CCMVal was a large international effort to improve understanding of Chemistry-Climate Models (CCMs) and their underlying GCMs (General Circulation Models) through process-oriented evaluation, along with discussion and coordinated analysis of science results. The first round of CCMVal (CCMVal-1) evaluated only a limited set of key processes in the CCMs, focusing mainly on dynamics and transport.\r\n\r\nThis dataset contains model feedback of O3, CH4, N2O, H2O and CFCs run by DLR Oberpfaffen-hofen, Germany E39/C model.", "keywords": "CCMVal, climate, model, CCM's, GCM's", "publicationState": "published", "dataPublishedTime": "2014-08-18T15:06:27", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/6882/?format=api", "dataPath": "/badc/ccmval/data/CCMVal-1/WMO2006_RUNS/SCN2/E39C", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 327572465, "numberOfFiles": 104, "fileFormat": "Data are ASCII formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/4982/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "CCMVAL-1 data were converted from original model format to ASCII by the modelling teams.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4510/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/11970/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6804/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29413/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29412/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29414/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29415/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29416/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29417/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/72282/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29411/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/72283/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/19039/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2546/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://creativecommons.org/licenses/by/4.0/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }